<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method = "xml" version="1.0" encoding="UTF-8" indent="yes"/>
<xsl:strip-space elements="*"/>

<xsl:param name="curParameter"/>
   
<xsl:template match="/">
  
    <xsl:element name="devices">
    <xsl:for-each select="devices/device">
        
        <xsl:variable name="varPartNumber" select="part_number"/>
        <xsl:if test="contains($curParameter, concat('|', $varPartNumber, '|'))"> 
           <xsl:copy-of select="current()"/>
        </xsl:if>
    </xsl:for-each>
    </xsl:element>

</xsl:template>
</xsl:stylesheet>